Bug 29262 - Compositing layers are incorrectly positioned after scrolling with position:fixed
Summary: Compositing layers are incorrectly positioned after scrolling with position:f...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Major
Assignee: Simon Fraser (smfr)
URL: http://fgribreau.com/_index_.php
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-14 16:02 PDT by webkit
Modified: 2009-09-18 13:31 PDT (History)
0 users

See Also:


Attachments
Testcase (1.02 KB, text/html)
2009-09-17 14:37 PDT, Simon Fraser (smfr)
no flags Details
Patch, changelog, testcase (8.67 KB, patch)
2009-09-17 18:11 PDT, Simon Fraser (smfr)
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description webkit 2009-09-14 16:02:42 PDT
Do test with : http://fgribreau.com/_index_.php


----------------
-- Second bug --
----------------

-> Produce the bug:

Scroll down (via multi-touch or mouse wheel) AND move your pointer in the
screen center. Blue "link" box would appear because of:
.post:hover aside{opacity:1;-webkit-transition:opacity 0.1s linear;}


If you scroll down/up when an animation occure on the "blue "link" box", the
entire header will "jump",freeze (because he's in fixed positioning)

-> What I except:
The header wouldn't "jump".
Comment 1 Simon Fraser (smfr) 2009-09-17 14:37:14 PDT
Created attachment 39726 [details]
Testcase
Comment 2 Simon Fraser (smfr) 2009-09-17 18:11:42 PDT
Created attachment 39741 [details]
Patch, changelog, testcase
Comment 3 Dave Hyatt 2009-09-18 10:00:20 PDT
Comment on attachment 39741 [details]
Patch, changelog, testcase

r=me
Comment 4 Simon Fraser (smfr) 2009-09-18 13:31:01 PDT
http://trac.webkit.org/changeset/48526